import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:tour_travel_agr/resource/routes.dart';
import 'package:url_strategy/url_strategy.dart';

late SharedPreferences prefs;
String titleApp = 'Tour & Travel Agency';
void main() {
  WidgetsFlutterBinding.ensureInitialized();
  setPathUrlStrategy();
  SharedPreferences.getInstance().then(
    (value) {
      prefs = value;
      runApp(const MyApp());
    },
  );
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: titleApp,
      debugShowCheckedModeBanner: false,
      onGenerateRoute: RouteGenerator.getRoute,
      initialRoute: Routes.splashRoute,
    );
  }
}
